Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class ApplicationBTCAdjustmentType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.ApplicationBTCAdjustmentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ApplicationBTCAdjustmentType extends Object implements Serializable
Generiek type voor de aanpassingen BTC.

Java class for ApplicationBTCAdjustmentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationBTCAdjustmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
             <element name="EstimatedPrice" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType"/>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Motivation" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationBTCAdjustmentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCareServiceCode()`
  Prestatiecode van de BTC bijkomende tegemoetkoming.
  `String`
  `getDescription()`
  Korte omschrijving.
  `BigDecimal`
  `getEstimatedPrice()`
  Geschatte prijs van het bestek.
  `String`
  `getMotivation()`
  Motivatie.
  `void`
  `setCareServiceCode(String value)`
  Sets the value of the careServiceCode property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setEstimatedPrice(BigDecimal value)`
  Sets the value of the estimatedPrice property.
  `void`
  `setMotivation(String value)`
  Sets the value of the motivation property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationBTCAdjustmentType

    public ApplicationBTCAdjustmentType()

- ## Method Details

  - ### getCareServiceCode

    public String getCareServiceCode()
    Prestatiecode van de BTC bijkomende tegemoetkoming.
    Returns:
      possible object is `String`

  - ### setCareServiceCode

    public void setCareServiceCode(String value)
    Sets the value of the careServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareServiceCode()`

  - ### getEstimatedPrice

    public BigDecimal getEstimatedPrice()
    Geschatte prijs van het bestek.
    Returns:
      possible object is `BigDecimal`

  - ### setEstimatedPrice

    public void setEstimatedPrice(BigDecimal value)
    Sets the value of the estimatedPrice property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getEstimatedPrice()`

  - ### getDescription

    public String getDescription()
    Korte omschrijving.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDescription()`

  - ### getMotivation

    public String getMotivation()
    Motivatie.
    Returns:
      possible object is `String`

  - ### setMotivation

    public void setMotivation(String value)
    Sets the value of the motivation property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMotivation()`